Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1170727 - fprintd.service fails on f21 RC1 ppc64le guest
Summary: fprintd.service fails on f21 RC1 ppc64le guest
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fprintd
Version: 21
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-12-04 17:15 UTC by Menanteau Guy
Modified: 2015-12-02 16:38 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 05:28:29 UTC


Attachments (Terms of Use)
Service patch (deleted)
2014-12-12 13:52 UTC, Jakub Čajka
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 892178 None None None Never

Internal Links: 892178

Description Menanteau Guy 2014-12-04 17:15:26 UTC
Description of problem:
fprintd.service and rngd.service system fails repoted after f21 install.
QA:Testcase_Services_start
 
systemctl --all --failed
  UNIT            LOAD   ACTIVE SUB    DESCRIPTION
● fprintd.service loaded failed failed Fingerprint Authentication Daemon
● rngd.service    loaded failed failed Hardware RNG Entropy Gatherer Daemon

Version-Release number of selected component (if applicable):
f21 release RC1 
http://ppc.koji.fedoraproject.org/stage/f21_RC1/21/Server/ppc64le

test QA:Testcase_Services_start
https://fedoraproject.org/wiki/F21PPC_Install_Results#cite_note-50

Steps to Reproduce:
install a powerKVM guest ppc64le using qemu.


additional info for fprintd:
fprintd-verify 
list_devices failed: Message did not receive a reply (timeout by message bus)

/var/log/messages
Dec  1 08:00:27 localhost dbus[1759]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Dec  1 08:00:27 localhost systemd: Starting Fingerprint Authentication Daemon...
Dec  1 08:00:27 localhost dbus[1759]: [system] Successfully activated service 'net.reactivated.Fprint'
Dec  1 08:00:27 localhost systemd: Started Fingerprint Authentication Daemon.
Dec  1 08:00:27 localhost fprintd: ** (fprintd:2203): WARNING **: fprint init failed with error -99
Dec  1 08:00:27 localhost systemd: fprintd.service: main process exited, code=exited, status=157/n/a
Dec  1 08:00:27 localhost systemd: Unit fprintd.service entered failed state.
Dec  1 08:00:27 localhost systemd: fprintd.service failed.

Note that if I add an usb device in qemu (-usb -usbdevice mouse) the fprintd problem is resolved but I guess this service should not be started if usb is not detected at reboot.

additional info for rngd:
systemctl status rngd
● rngd.service - Hardware RNG Entropy Gatherer Daemon
   Loaded: loaded (/usr/lib/systemd/system/rngd.service; enabled)
   Active: failed (Result: exit-code) since Tue 2014-12-02 07:48:11 CST; 3min 43s ago
  Process: 1758 ExecStart=/sbin/rngd -f (code=exited, status=1/FAILURE)
 Main PID: 1758 (code=exited, status=1/FAILURE)

Dec 02 07:48:10 localhost.localdomain systemd[1]: Starting Hardware RNG Entro...
Dec 02 07:48:10 localhost.localdomain systemd[1]: Started Hardware RNG Entrop...
Dec 02 07:48:10 localhost.localdomain rngd[1758]: Unable to open file: /dev/tpm0
Dec 02 07:48:10 localhost.localdomain rngd[1758]: can't open any entropy source
Dec 02 07:48:10 localhost.localdomain rngd[1758]: Maybe RNG device modules ar...
Dec 02 07:48:11 localhost.localdomain systemd[1]: rngd.service: main process ...
Dec 02 07:48:11 localhost.localdomain systemd[1]: Unit rngd.service entered f...
Dec 02 07:48:11 localhost.localdomain systemd[1]: rngd.service failed.
Hint: Some lines were ellipsized, use -l to show in full.

Comment 1 Zbigniew Jędrzejewski-Szmek 2014-12-09 20:09:46 UTC
#892178 covers rngd nicely, and the bug it is not architecture specific. The problem with fprind is probably completely unrelated. Let's make this bug about fprintd only.

Comment 2 Menanteau Guy 2014-12-10 13:33:37 UTC
yes, I confirm rngd problem is not arch specific when fprintd problem is only on ppc64le (comparing to ppc64 where fprintd is not loaded, so not failed).

Comment 3 Jakub Čajka 2014-12-12 13:52:42 UTC
Created attachment 967642 [details]
Service patch

It seems that this is related to bug 810040 and bug 828166, seems as caused by missing usb bus. That would explain qemu -usb workaround. It is also reproducible on x86-64(possibly all other archs, generally any system without usb bus) with kernel parameter "nousb" (tested in virt-manager/qemu).

I have prepared patch, witch makes service fail silently if no usb bus was found(exit code 157). It is not a usual situation, but I think it should be handled gracefully. 

Please consider this patch.

Comment 4 Fedora End Of Life 2015-11-04 14:44:07 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-12-02 05:28:38 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.